/* медиа запросы */

@media (min-width: 320px) and (max-width: 430px) {

  /* контейнер 1 */

    .container {
      display: grid;
      grid-template-columns: 1fr;
      grid-template-rows: auto 1fr;
      transition: none;
    }
  
    .static-container {
      grid-row: 1 / span 2;
      position: fixed;
      top: 0;
      left: 0;
      width: 40%;
      height: 40vh;
      z-index: 50;
      border-radius: 0 0 10px 0;
    }
  
    .scrollable-container {
      display: block;
      overflow-y: auto;
      padding-right: 10px;
      scroll-snap-type: y mandatory;
    }

    .navigation-container {
      display: flex;
      flex-direction: row;
      align-items: center;
    }

    .text-navigation {
      font-size: 15px;
    }
    
    
    .navigation {
      display: flex;
      flex-direction: column;
      justify-content: center;
      margin-top: 100px;
      padding-left: 10px;
    }

    .navigation a {
      display: flex;
      align-items: center;
      text-decoration: none;
      justify-content: space-between;
      color: #fff;
      width: auto;
      padding: 2px;
      gap: 10px;
    }
  
    .name {
      display: none;
    }
  
    .specialization {
      display: none;
    }
  
    .avatar {
      /* display: none; */
      width: 40px;
      height: 40px;
    }
  
    .ring {
      /* display: none; */
      top: 40px;
      left: 40px;
      width: 45px;
      height: 45px;
    }
  
    .greet {
      display: none;
    }
  
    .contakt-block {
      margin-top: 25px;
    }

    .social {
      width: 18px;
      height: 18px;
      margin-right: 15px;
    }

    .wats {
      width: 17px;
      height: 19px;
    }

    .content1__block {
      align-items: start;
      margin-top: 30px;
    }

    .content1__text {
      font-size: 28px;
      margin: 0;
      background-image: none;
    }
    
    .content1__name {
      font-size: 35px;
      margin: 0;
      background-image: none;
    }
    
    .content1__profession {
      font-size: 20px;
      margin: 0;
      background-image: none;
    }

    .skills-button {
      width: 100px;
      height: 50px;
      padding: 10px;
      margin-top: 0px;
    }

    .light::after {
      width: 90px;
      height: 40px;
      font-size: 20px;
      border-radius: 5px;
      padding: 10px;
    }

    .skills {
      width: 240px;
      height: 350px;
      margin: 5px;
      border-radius: 6px;
    }

    .list li img {
      margin-right: 5px;
      width: 10px;
      height: 10px;
    }
  
    .list li span {
      font-size: 10px;
      margin-bottom: 2px;
    }

    .table_skills h3 {
      font-size: 10px;
    }

    .table_skills h3 {
      margin: 10px;
    }

    .table_skills > div {
      margin-right: 10px;
    }

    .table_skills {
      flex-wrap: wrap;
    }

    .table_skills > div {
      margin-right: 10px;
    }

    /* контейнер 2 */

    .slider_item {
      width: 60%;
      max-width: 350px; /* Максимальная ширина контейнера */
      height: 500px;
    }

    .project-card {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
    }

    .project-details {
      display: flex;
      flex-direction: column;
      align-items: center;
      margin: 5px;
    }

    .project-images img {
      display: none;
    }

    .works {
      background-image: none;
      font-size: 40px;
      margin: 0;
      margin-bottom: 80px;
    }

    .next,
    .prev {
      height: 25px;
      margin: 0 auto;
    }

    .project-details h4 {
      font-size: 20px;
    }
    
    .project-details p {
      font-size: 15px;
      margin: 10px;
    }
    
    .slider__button-block {
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 20px;
    }
    
    .git-hub_img {
      height: 35px;
      width: 35px;
      margin-top: 10px;
    }
    
    .demo-button {
      margin-top: 10px;
      padding: 8px 16px;
      height: 30px;
      width: 60px;
      font-size: 25px;
      border-radius: 8px;
    }

    /* контейнер 3 */

    .aboutMe__block {
      width: 300px;
      height: 750px;
      border-radius: 10px;
    }
    
    .aboutMe__text {
      font-size: 15px;
      margin: 10px;
    }

    .aboutMe {
      background-image: none;
      font-size: 30px;
      margin: 0;
      margin-bottom: 20px;
    }
    
    /* контейнер 4 */

    .contact-me {
      background-image: none;
      font-size: 30px;
      margin: 0;
      margin-bottom: 60px;
    }
  
    .form-container {
      flex-direction: column;
      justify-content: start;
      width: 520px;
      height: 700px;
      border-radius: 2px;
      padding-left: 2px;
      background-image: linear-gradient(to bottom, #0181b4, #0176a4 50%, #01c060 50%, #04bb5f 100%);
      background-size: 50% 100%;
      background-repeat: no-repeat;
      background-position: top, bottom;
    }
  
    .contact-list {
      align-items: normal;
      padding: 0;
      margin: 0;
      font-size: 14px;
      margin-top: 50px;
    }
  
    .contact-list li {
      margin-bottom: 10px;
      color: azure;
    }

    .contact-list span {
      color: rgb(0, 3, 3);
    }

    .contact-phone {

    }

    .contact-email {
      padding-right: 10px;
    }

    .contact-telegram {
      padding-right: 95px;
    }
  
    .contact-about {
      display: flex;
      flex-direction: column;
      justify-content: center
    }
  
    .contakt-block_about {
      display: flex;
      justify-content: center;
      margin-top: 120px;
      gap: 30px;
    }

    .contakt-block_about svg {
      width: 40px;
      height: 40px;
    }
  
    .form__style {
      display: flex;
      justify-content: center;
      align-items: center; 
    }
    
    form {
      display: table;
      margin: 10px;
    }
    
    label {
      font-weight: bold;
      margin-bottom: 5px;
      display: table-row;
      font-size: 10px;
    }
    
    input,
    textarea {
      padding: 10px;
      border-radius: 5px;
      border: 1px solid #ccc;
      margin-bottom: 10px;
      transition: border-color 0.3s ease;
      display: table-row;
    }
    
    
    input:focus,
    textarea:focus {
      border-color: #009688;
    }
    
    .form_button {
      margin-top: 10px;
      border-radius: 4px;
      height: 40px;
      width: 80px;
      font-size: 20px;
    }

    textarea {
      height: 110px;
      width: 180px;
    }

  }

  @media (min-width: 370px) and (max-width: 430px) {

    .navigation {
      padding-left: 30px;
    }

    .works {
      font-size: 30px;
      margin: 0;
      margin-bottom: 80px;
    }

  }
  
  
  
  @media (min-width: 430px) and (max-width: 768px) {
    .container {
      display: grid;
      grid-template-columns:50vw 1fr;
      grid-template-rows: auto 1fr;
      transition: none;
    }
  
    .static-container {
      grid-row: 1 / span 2;
      position: fixed;
      top: 0;
      left: 0;
      width: 50%;
      height: 100vh;
    }
  
    .scrollable-container {
      display: block;
      overflow-y: auto;
      padding-right: 10px;
      scroll-snap-type: y mandatory;
    }
  
  
    .navigation a {
      gap: 100px;
    }
  
    .name {
      font-size: 20px;
    }
  
    .specialization {
      margin: 0;
      font-size: 10px;
      color: var(--text-color-specialization);
    }
  
    .avatar {
      width: 80px;
      height: 80px; 
    }
  
    .ring {
      width: 90px;
      height: 90px;
      left: 90px;
      top: 120px;
    }
  
    .greet {
      margin: 100px;
      transform: translateX(60px);
    }
  
    .contakt-block {
      margin-top: 80px;
    }
  }
  
  @media (min-width: 769px) and (max-width: 1024px) {
    .container {
      display: grid;
      grid-template-columns:35vw 1fr;
      grid-template-rows: auto 1fr;
      transition: none;
    }
  
    .static-container {
      grid-row: 1 / span 2;
      position: fixed;
      top: 0;
      left: 0;
      width: 35%;
      height: 100vh;
    }
  
    .scrollable-container {
      display: block;
      overflow-y: auto;
      padding-right: 10px;
      scroll-snap-type: y mandatory;
    }
  
    .navigation a {
      gap: 100px;
    }
  
    .name {
      font-size: 20px;
    }
  
    .specialization {
      margin: 0;
      font-size: 10px;
      color: var(--text-color-specialization);
    }
  
    .avatar {
      width: 80px;
      height: 80px; 
    }
  
    .ring {
      width: 90px;
      height: 90px;
      left: 90px;
      top: 120px;
    }
  
    .greet {
      margin: 100px;
      transform: translateX(60px);
    }
  
    .contakt-block {
      margin-top: 80px;
    }
  }
  
  @media (min-width: 1025px) and (max-width: 1440px) {
    .container {
      display: grid;
      grid-template-columns:25vw 1fr;
      grid-template-rows: auto 1fr;
      transition: none;
    }
  
    .static-container {
      grid-row: 1 / span 2;
      position: fixed;
      top: 0;
      left: 0;
      width: 25%;
      height: 100vh;
    }
  
    .scrollable-container {
      display: block;
      overflow-y: auto;
      padding-right: 10px;
      scroll-snap-type: y mandatory;
    }
  
    .navigation a {
      gap: 100px;
    }
  
    .name {
      font-size: 20px;
    }
  
    .specialization {
      margin: 0;
      font-size: 10px;
      color: var(--text-color-specialization);
    }
  
    .avatar {
      width: 80px;
      height: 80px; 
    }
  
    .ring {
      width: 90px;
      height: 90px;
      left: 90px;
      top: 120px;
    }
  
    .greet {
      margin: 100px;
      transform: translateX(60px);
    }
  
    .contakt-block {
      margin-top: 80px;
    }
  }
  